Uploaded image for project: 'ZABBIX BUGS AND ISSUES'
  1. ZABBIX BUGS AND ISSUES
  2. ZBX-17081

Zabbix Server/Proxy failed dependency on libssh2 (RHEL8)

    XMLWordPrintable

    Details

    • Team:
      Team I
    • Sprint:
      Sprint 60 (Jan 2020), Sprint 61 (Feb 2020), Sprint 62 (Mar 2020), Sprint 63 (Apr 2020), Sprint 64 (May 2020), Sprint 65 (Jun 2020), Sprint 66 (Jul 2020)
    • Story Points:
      1

      Description

      Steps to reproduce:

      dnf install zabbix-server-pgsql-4.4.3-1.el8.x86_64

      Result:

      Error:
      Problem: cannot install the best candidate for the job

      • nothing provides libssh2.so.1()(64bit) needed by zabbix-server-pgsql-4.4.3-1.el8.x86_64

      Expected:

      Installed:
      zabbix-server-pgsql-4.4.3-1.el8.x86_64
      Complete!

      Comments:

      Related RHEL bug is in status "CLOSED NOTABUG":
      https://bugzilla.redhat.com/show_bug.cgi?id=1767908
      "... libssh2 is removed from RHEL-8 ..."

      Please add libssh support because libssh and libssh2 have incompatible API/ABI with each other.

      Thanks!

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              yurii Jurijs Klopovskis
              Reporter:
              sergiy.dryga Sergiy Dryga
              Votes:
              6 Vote for this issue
              Watchers:
              17 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved: